## exploitdb-bin-sploits 20221122

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

set(PROJECT_NAME nvr_rev_shell)
project(${PROJECT_NAME})

set(CMAKE_CXX_FLAGS "-g -O2 -std=c++0x -Wall -Wextra -Weffc++ -Wshadow -Wcast-align -Wcast-qual -Woverloaded-virtual -Wstrict-null-sentinel -Wswitch-default -Winit-self -Wlogical-op -Wno-deprecated-declarations -Wshadow")

find_package(Boost COMPONENTS program_options system regex REQUIRED)

include_directories(SYSTEM ${Boost_INCLUDE_DIR})
include_directories(../../common/)

add_executable(${PROJECT_NAME}
    src/main.cpp
    ../../common/md5.cpp
    ../../common/winbox_session.cpp
    ../../common/winbox_message.cpp)

target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES} -lpthread)

=== Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = /bin/sh

srcdir = .
top_srcdir = .

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/omen
pkglibdir = $(libdir)/omen
pkgincludedir = $(includedir)/omen
top_builddir = .

ACLOCAL = ${SHELL} /root/project/omen/current/missing --run aclocal
AUTOCONF = ${SHELL} /root/project/omen/current/missing --run autoconf
AUTOMAKE = ${SHELL} /root/project/omen/current/missing --run automake
AUTOHEADER = ${SHELL} /root/project/omen/current/missing --run autoheader

INSTALL = /usr/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
AMTAR = ${SHELL} /root/project/omen/current/missing --run tar
AWK = gawk
CC = gcc
DEPDIR = .deps
EXEEXT = 
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
OBJEXT = o
PACKAGE = omen
VERSION = 0.1
am__include = include
am__quote = 
install_sh = /root/project/omen/current/install-sh

SUBDIRS = src
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =

RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
	Makefile.am Makefile.in NEWS TODO aclocal.m4 compile \
	config.h.in configure configure.in depcomp install-sh missing \
	mkinstalldirs
DIST_SUBDIRS = $(SUBDIRS)
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$@ $(SHELL) ./config.status

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
config.h: stamp-h
	@if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h stamp-hT
	@echo timestamp > stamp-hT 2> /dev/null
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@mv stamp-hT stamp-h
$(srcdir)/config.h.in:  $(srcdir)/./stamp-h.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/./stamp-h.in; \
		$(MAKE) $(srcdir)/./stamp-h.in; \
	else :; fi
$(srcdir)/./stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	@rm -f $(srcdir)/./stamp-h.in $(srcdir)/./stamp-h.inT
	@echo timestamp > $(srcdir)/./stamp-h.inT 2> /dev/null
	cd $(top_srcdir) && $(AUTOHEADER)
	@mv $(srcdir)/./stamp-h.inT $(srcdir)/./stamp-h.in

distclean-hdr:
	-rm -f config.h
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = .
# Avoid unsightly `./'.
distdir = $(PACKAGE)-$(VERSION)

GZIP_ENV = --best

distdir: $(DISTFILES)
	-chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
	mkdir $(distdir)
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r $(distdir)
dist: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	-chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	chmod a-w $(distdir)
	dc_install_base=`CDPATH=: && cd $(distdir)/=inst && pwd` \
	  && cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
	     || (echo "Error: files left after uninstall" 1>&2; \
	         exit 1) ) \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && $(MAKE) $(AM_MAKEFLAGS) distclean \
	  && rm -f $(distdir).tar.gz \
	  && (test `find . -type f -print | wc -l` -eq 0 \
	     || (echo "Error: files left after distclean" 1>&2; \
	         exit 1) )
	-chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
	@echo "$(distdir).tar.gz is ready for distribution" | \
	  sed 'h;s/./=/g;p;x;p;x'
check-am: all-am
check: check-recursive
all-am: Makefile config.h
installdirs: installdirs-recursive
installdirs-am:

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic mostlyclean-am

dist-all: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	-chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
distclean: distclean-recursive
	-rm -f config.status config.cache config.log
distclean-am: clean-am distclean-generic distclean-hdr distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am:

install-exec-am:

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic

uninstall-am: uninstall-info-am

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
	clean-generic clean-recursive dist dist-all distcheck distclean \
	distclean-generic distclean-hdr distclean-recursive \
	distclean-tags distdir dvi dvi-am dvi-recursive info info-am \

=== requirements.txt ===
certifi==2018.1.18
chardet==3.0.4
idna==2.6
python-memcached==1.59
requests==2.18.4
scapy==2.3.3
six==1.11.0
urllib3==1.22

=== CVE-2019-5736/Makefile ===
all:
	gcc -s exploit.c -o exploit -Wall
	gcc -s payload.c -o payload -Wall

=== crypt/Makefile ===

all : blowfish.o cipher.o ../lib/crypt.a

cflags   = -W -Wall -g
includes = -I./ -I../include
compile  = gcc ${cflags} ${includes}
ld	 = ld -d -r

blowfish.o : blowfish.c blowfish.h
	${compile} -c -o blowfish.o blowfish.c

cipher.o : cipher.c cipher.h
	${compile} -c -o cipher.o cipher.c

../lib/crypt.a : blowfish.o cipher.o
	${ld} -o ../lib/crypt.a blowfish.o cipher.o

clean :
	rm -f *.o

=== executer/Makefile ===
all: executer FakeKext

executer: executer.c
	clang -O3 -o executer executer.c

FakeKext: FakeKext.kext/Contents/MacOS/FakeKext.c
	clang -Xlinker -kext -static FakeKext.kext/Contents/MacOS/FakeKext.c -o FakeKext.kext/Contents/MacOS/FakeKext -fno-builtin -nostdlib -lkmod -r -I/System/Library/Frameworks/Kernel.framework/Headers -Wall

clean:
	rm -rf executer FakeKext.kext/Contents/MacOS/FakeKext

=== exploit/Makefile ===
AS      =nasm
ASFLAGS =-O0 -f bin

.PHONY: clean bundle

%.txt: %.asm
	$(AS) $(ASFLAGS) -o $@ $<

symantec.txt:

all: symantec.txt

clean:
	rm -f symantec.txt core *.core

=== flashcrash-20080919/Makefile ===
SWFS := A.swf B-0.swf B-1.swf

all: $(SWFS)

A.swf: A.as
	mxmlc -debug -output $@ $^

B-0.swf: B.as
	mtasc -strict -version 7 -swf $@ -main -header 550:400:31 $^

B-1.swf: B.as
	mtasc -strict -version 8 -swf $@ -main -header 550:400:31 $^

clean:
	rm -f $(SWFS)

=== hijackd/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(hijackd)

include("android.apk.cmake" REQUIRED)

MESSAGE( STATUS "ANDROID_NDK : " ${ANDROID_NDK})
 
include_directories(${ANDROID_NDK}/sources/android/native_app_glue)
include_directories(${CMAKE_SOURCE_DIR})

set(CMAKE_C_FLAGS
  "${CMAKE_C_FLAGS} -std=c99")

 
set(HIJACKD_SRC
    ${ANDROID_NDK}/sources/android/native_app_glue/android_native_app_glue.c
    main.c
)

add_library(hijackd SHARED ${HIJACKD_SRC})

target_link_libraries(hijackd log android)
 
set(APP_SHARED_LIBRARIES ${LIBRARY_OUTPUT_PATH}/libhijackd.so)
 
android_create_apk(hijackd "com.projectzero.markbrand.hijackd" "${CMAKE_BINARY_DIR}/apk" "${CMAKE_BINARY_DIR}/libs" "${CMAKE_SOURCE_DIR}" "Data")

=== lib/Makefile ===

clean :
	rm -f *.a

=== libpads/Makefile ===
-include ../common/rules.mk
-include ../../common/rules.mk

=== libtag/Makefile ===
all: static shared

static: 
	gcc -c libtag.c -o libtag.o
	ar rcs libtag.a libtag.o
shared: 
	gcc -fPIC -g -c -Wall libtag.c
	gcc -shared -Wl,-soname,libtag.so -o libtag.so libtag.o -lc

test: static
	gcc -static libtagtest.c -o libtagtest -L. -ltag

install: shared
	cp libtag.so /usr/lib
	ln -sf /usr/lib/libtag.so /usr/lib/libtag.so.1
clean:
	rm -rf libtag.so libtag.a libtagtest libtag.o

remove:
	rm -rf /usr/lib/libtag.so 
	unlink /usr/lib/libtag.so.1

=== debian/changelog ===
exploitdb-bin-sploits (20221122-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Tue, 22 Nov 2022 15:50:19 +0000

exploitdb-bin-sploits (20221110-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Joseph O'Gorman <gamb1t@kali.org>  Tue, 15 Nov 2022 20:24:21 -0500

exploitdb-bin-sploits (20220802-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Tue, 02 Aug 2022 20:29:51 +0100

exploitdb-bin-sploits (20220427-0kali1) kali-dev; urgency=medium

  * Update packaging
  * Fix debian/watch
  * New upstream version 20220427

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 27 Apr 2022 10:54:24 +0200

exploitdb-bin-sploits (20220126-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Joseph O'Gorman <gamb1t@kali.org>  Wed, 26 Jan 2022 19:19:41 -0500

exploitdb-bin-sploits (20211123-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Joseph O'Gorman <gamb1t@kali.org>  Tue, 23 Nov 2021 07:37:11 -0500

exploitdb-bin-sploits (20210828-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Sat, 28 Aug 2021 23:34:48 +0100

exploitdb-bin-sploits (20210524-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Joseph O'Gorman <gamb1t@kali.org>  Mon, 24 May 2021 17:14:39 -0400

exploitdb-bin-sploits (20210208-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Joseph O'Gorman <gamb1t@kali.org>  Mon, 08 Feb 2021 15:32:06 -0500

exploitdb-bin-sploits (20201102-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Joseph O'Gorman <gamb1t@kali.org>  Mon, 02 Nov 2020 15:18:44 -0500

exploitdb-bin-sploits (20200721-0kali1) kali-dev; urgency=medium

  * Upstream Update

 -- Joseph O'Gorman <gamb1t@kali.org>  Tue, 21 Jul 2020 01:24:12 -0400

exploitdb-bin-sploits (20200504-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Mon, 04 May 2020 13:03:14 +0100

exploitdb-bin-sploits (20200116-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Thu, 16 Jan 2020 15:03:04 +0000

exploitdb-bin-sploits (20191120-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Wed, 20 Nov 2019 21:06:32 +0000

exploitdb-bin-sploits (20191108-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Fri, 08 Nov 2019 16:10:29 +0000

exploitdb-bin-sploits (20190909-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Tue, 10 Sep 2019 11:07:02 +0100

exploitdb-bin-sploits (20190509-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Thu, 09 May 2019 14:52:28 +0100

exploitdb-bin-sploits (20190210-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Sun, 10 Feb 2019 16:50:00 +0000

exploitdb-bin-sploits (20180822-0kali1) kali-dev; urgency=medium

  * Upstream update

 -- Ben Wilson <g0tmi1k@kali.org>  Wed, 22 Aug 2018 18:28:36 +0100

exploitdb-bin-sploits (20180312-0kali1) kali-dev; urgency=medium

  * Imported upstream version 20180312

 -- Ben Wilson <g0tmi1k@kali.org>  Mon, 12 Mar 2018 13:20:31 +0000

exploitdb-bin-sploits (20171219-0kali2) kali-dev; urgency=low

  * Add dh_strip_nondeterminism

 -- Ben Wilson <g0tmi1k@kali.org>  Wed, 20 Dec 2017 12:25:50 -0500

exploitdb-bin-sploits (20171219-0kali1) kali-dev; urgency=low

  * Initial release

 -- Ben Wilson <g0tmi1k@kali.org>  Wed, 20 Dec 2017 08:56:57 -0500

=== debian/control ===
Source: exploitdb-bin-sploits
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Ben Wilson <g0tmi1k@kali.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Homepage: https://www.exploit-db.com
Vcs-Git: https://gitlab.com/kalilinux/packages/exploitdb-bin-sploits.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/exploitdb-bin-sploits

Package: exploitdb-bin-sploits
Architecture: all
Depends:
 kali-defaults,
 ${misc:Depends},
Description: The Exploit Database's archive of binary exploits
 Searchable binary exploits from The Exploit Database.
 https://www.exploit-db.com

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
override_dh_strip_nondeterminism:

=== debian/watch ===
version=3
opts=uversionmangle=s/([\d\.]+)-([\d\.]+)-([\d\.]+)/$1$2$3/ \
https://gitlab.com/exploit-database/exploitdb-bin-sploits/-/tags .*/?(\d{4}-\d{2}-\d{2})\.tar\.gz
